class ViTForImageClassification(Module):
  __parameters__ = []
  __buffers__ = []
  def forward(self: __torch__.transformers.models.vit.modeling_vit.___torch_mangle_501.ViTForImageClassification,
    pixel_values: Tensor) -> Tuple[Tensor]:
    _0 = torch.size(pixel_values, 0)
    _1 = ops.torch_ipex.convolution_forward(pixel_values, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c0).get_data_handle(), [32, 3, 2, 2], [0, 0], [2, 2], [1, 1], True)
    embeddings = torch.transpose(torch.flatten(_1, 2), 1, 2)
    cls_tokens = torch.expand(CONSTANTS.c2, [_0, -1, -1])
    embeddings0 = torch.cat([cls_tokens, embeddings], 1)
    input = torch.add(embeddings0, CONSTANTS.c3)
    _2 = torch.layer_norm(input, [32], CONSTANTS.c4, CONSTANTS.c5, 9.9999999999999998e-13)
    x = ops.torch_ipex.ipex_MKLSGEMM(_2, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c6).get_data_handle(), 32)
    x0 = ops.torch_ipex.ipex_MKLSGEMM(_2, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c7).get_data_handle(), 32)
    _3 = [torch.size(x0, 0), torch.size(x0, 1), 4, 8]
    x1 = torch.view(x0, _3)
    key_layer = torch.permute(x1, [0, 2, 1, 3])
    x2 = ops.torch_ipex.ipex_MKLSGEMM(_2, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c8).get_data_handle(), 32)
    _4 = [torch.size(x2, 0), torch.size(x2, 1), 4, 8]
    x3 = torch.view(x2, _4)
    value_layer = torch.permute(x3, [0, 2, 1, 3])
    _5 = [torch.size(x, 0), torch.size(x, 1), 4, 8]
    x4 = torch.view(x, _5)
    query_layer = torch.permute(x4, [0, 2, 1, 3])
    context_layer = torch.scaled_dot_product_attention(query_layer, key_layer, value_layer)
    _6 = torch.permute(context_layer, [0, 2, 1, 3])
    context_layer0 = torch.contiguous(_6)
    _7 = [torch.size(context_layer0, 0), torch.size(context_layer0, 1), 32]
    attention_output = ops.torch_ipex.ipex_MKLSGEMM(torch.view(context_layer0, _7), CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c9).get_data_handle(), 32)
    input0 = torch.add(attention_output, input)
    _8 = torch.layer_norm(input0, [32], CONSTANTS.c4, CONSTANTS.c5, 9.9999999999999998e-13)
    input1 = ops.torch_ipex.ipex_MKLSGEMM(_8, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c10).get_data_handle(), 37)
    hidden_states = ops.torch_ipex.ipex_MKLSGEMM(torch.gelu(input1), CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c11).get_data_handle(), 32)
    input2 = torch.add(hidden_states, input0)
    _9 = torch.layer_norm(input2, [32], CONSTANTS.c4, CONSTANTS.c5, 9.9999999999999998e-13)
    x5 = ops.torch_ipex.ipex_MKLSGEMM(_9, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c12).get_data_handle(), 32)
    x6 = ops.torch_ipex.ipex_MKLSGEMM(_9, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c13).get_data_handle(), 32)
    _10 = [torch.size(x6, 0), torch.size(x6, 1), 4, 8]
    x7 = torch.view(x6, _10)
    key_layer0 = torch.permute(x7, [0, 2, 1, 3])
    x8 = ops.torch_ipex.ipex_MKLSGEMM(_9, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c14).get_data_handle(), 32)
    _11 = [torch.size(x8, 0), torch.size(x8, 1), 4, 8]
    x9 = torch.view(x8, _11)
    value_layer0 = torch.permute(x9, [0, 2, 1, 3])
    _12 = [torch.size(x5, 0), torch.size(x5, 1), 4, 8]
    x10 = torch.view(x5, _12)
    query_layer0 = torch.permute(x10, [0, 2, 1, 3])
    context_layer1 = torch.scaled_dot_product_attention(query_layer0, key_layer0, value_layer0)
    _13 = torch.permute(context_layer1, [0, 2, 1, 3])
    context_layer2 = torch.contiguous(_13)
    _14 = [torch.size(context_layer2, 0), torch.size(context_layer2, 1), 32]
    attention_output0 = ops.torch_ipex.ipex_MKLSGEMM(torch.view(context_layer2, _14), CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c15).get_data_handle(), 32)
    input3 = torch.add(attention_output0, input2)
    _15 = torch.layer_norm(input3, [32], CONSTANTS.c4, CONSTANTS.c5, 9.9999999999999998e-13)
    input4 = ops.torch_ipex.ipex_MKLSGEMM(_15, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c16).get_data_handle(), 37)
    hidden_states0 = ops.torch_ipex.ipex_MKLSGEMM(torch.gelu(input4), CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c17).get_data_handle(), 32)
    input5 = torch.add(hidden_states0, input3)
    _16 = torch.layer_norm(input5, [32], CONSTANTS.c4, CONSTANTS.c5, 9.9999999999999998e-13)
    x11 = ops.torch_ipex.ipex_MKLSGEMM(_16, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c18).get_data_handle(), 32)
    x12 = ops.torch_ipex.ipex_MKLSGEMM(_16, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c19).get_data_handle(), 32)
    _17 = [torch.size(x12, 0), torch.size(x12, 1), 4, 8]
    x13 = torch.view(x12, _17)
    key_layer1 = torch.permute(x13, [0, 2, 1, 3])
    x14 = ops.torch_ipex.ipex_MKLSGEMM(_16, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c20).get_data_handle(), 32)
    _18 = [torch.size(x14, 0), torch.size(x14, 1), 4, 8]
    x15 = torch.view(x14, _18)
    value_layer1 = torch.permute(x15, [0, 2, 1, 3])
    _19 = [torch.size(x11, 0), torch.size(x11, 1), 4, 8]
    x16 = torch.view(x11, _19)
    query_layer1 = torch.permute(x16, [0, 2, 1, 3])
    context_layer3 = torch.scaled_dot_product_attention(query_layer1, key_layer1, value_layer1)
    _20 = torch.permute(context_layer3, [0, 2, 1, 3])
    context_layer4 = torch.contiguous(_20)
    _21 = [torch.size(context_layer4, 0), torch.size(context_layer4, 1), 32]
    attention_output1 = ops.torch_ipex.ipex_MKLSGEMM(torch.view(context_layer4, _21), CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c21).get_data_handle(), 32)
    input6 = torch.add(attention_output1, input5)
    _22 = torch.layer_norm(input6, [32], CONSTANTS.c4, CONSTANTS.c5, 9.9999999999999998e-13)
    input7 = ops.torch_ipex.ipex_MKLSGEMM(_22, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c22).get_data_handle(), 37)
    hidden_states1 = ops.torch_ipex.ipex_MKLSGEMM(torch.gelu(input7), CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c23).get_data_handle(), 32)
    input8 = torch.add(hidden_states1, input6)
    _23 = torch.layer_norm(input8, [32], CONSTANTS.c4, CONSTANTS.c5, 9.9999999999999998e-13)
    x17 = ops.torch_ipex.ipex_MKLSGEMM(_23, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c24).get_data_handle(), 32)
    x18 = ops.torch_ipex.ipex_MKLSGEMM(_23, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c25).get_data_handle(), 32)
    _24 = [torch.size(x18, 0), torch.size(x18, 1), 4, 8]
    x19 = torch.view(x18, _24)
    key_layer2 = torch.permute(x19, [0, 2, 1, 3])
    x20 = ops.torch_ipex.ipex_MKLSGEMM(_23, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c26).get_data_handle(), 32)
    _25 = [torch.size(x20, 0), torch.size(x20, 1), 4, 8]
    x21 = torch.view(x20, _25)
    value_layer2 = torch.permute(x21, [0, 2, 1, 3])
    _26 = [torch.size(x17, 0), torch.size(x17, 1), 4, 8]
    x22 = torch.view(x17, _26)
    query_layer2 = torch.permute(x22, [0, 2, 1, 3])
    context_layer5 = torch.scaled_dot_product_attention(query_layer2, key_layer2, value_layer2)
    _27 = torch.permute(context_layer5, [0, 2, 1, 3])
    context_layer6 = torch.contiguous(_27)
    _28 = [torch.size(context_layer6, 0), torch.size(context_layer6, 1), 32]
    attention_output2 = ops.torch_ipex.ipex_MKLSGEMM(torch.view(context_layer6, _28), CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c27).get_data_handle(), 32)
    input9 = torch.add(attention_output2, input8)
    _29 = torch.layer_norm(input9, [32], CONSTANTS.c4, CONSTANTS.c5, 9.9999999999999998e-13)
    input10 = ops.torch_ipex.ipex_MKLSGEMM(_29, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c28).get_data_handle(), 37)
    hidden_states2 = ops.torch_ipex.ipex_MKLSGEMM(torch.gelu(input10), CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c29).get_data_handle(), 32)
    input11 = torch.add(hidden_states2, input9)
    _30 = torch.layer_norm(input11, [32], CONSTANTS.c4, CONSTANTS.c5, 9.9999999999999998e-13)
    x23 = ops.torch_ipex.ipex_MKLSGEMM(_30, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c30).get_data_handle(), 32)
    x24 = ops.torch_ipex.ipex_MKLSGEMM(_30, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c31).get_data_handle(), 32)
    _31 = [torch.size(x24, 0), torch.size(x24, 1), 4, 8]
    x25 = torch.view(x24, _31)
    key_layer3 = torch.permute(x25, [0, 2, 1, 3])
    x26 = ops.torch_ipex.ipex_MKLSGEMM(_30, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c32).get_data_handle(), 32)
    _32 = [torch.size(x26, 0), torch.size(x26, 1), 4, 8]
    x27 = torch.view(x26, _32)
    value_layer3 = torch.permute(x27, [0, 2, 1, 3])
    _33 = [torch.size(x23, 0), torch.size(x23, 1), 4, 8]
    x28 = torch.view(x23, _33)
    query_layer3 = torch.permute(x28, [0, 2, 1, 3])
    context_layer7 = torch.scaled_dot_product_attention(query_layer3, key_layer3, value_layer3)
    _34 = torch.permute(context_layer7, [0, 2, 1, 3])
    context_layer8 = torch.contiguous(_34)
    _35 = [torch.size(context_layer8, 0), torch.size(context_layer8, 1), 32]
    attention_output3 = ops.torch_ipex.ipex_MKLSGEMM(torch.view(context_layer8, _35), CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c33).get_data_handle(), 32)
    input12 = torch.add(attention_output3, input11)
    _36 = torch.layer_norm(input12, [32], CONSTANTS.c4, CONSTANTS.c5, 9.9999999999999998e-13)
    input13 = ops.torch_ipex.ipex_MKLSGEMM(_36, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c34).get_data_handle(), 37)
    hidden_states3 = ops.torch_ipex.ipex_MKLSGEMM(torch.gelu(input13), CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c35).get_data_handle(), 32)
    input14 = torch.add(hidden_states3, input12)
    sequence_output = torch.layer_norm(input14, [32], CONSTANTS.c4, CONSTANTS.c5, 9.9999999999999998e-13)
    _37 = torch.slice(sequence_output, 0, 0, 9223372036854775807)
    _38 = torch.slice(torch.select(_37, 1, 0), 1, 0, 9223372036854775807)
    _39 = ops.torch_ipex.ipex_MKLSGEMM(_38, CONSTANTS.c1, CONSTANTS.c1, (CONSTANTS.c36).get_data_handle(), 2)
    return (_39,)
